Bug 10431 - Spanish Zebra language definition file
Summary: Spanish Zebra language definition file
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 10447
  Show dependency treegraph
 
Reported: 2013-06-07 14:54 UTC by Pablo AB
Modified: 2014-12-07 20:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Spanish Zebra language definition file (1.04 KB, application/octet-stream)
2013-06-07 14:54 UTC, Pablo AB
Details
Bug 10431 - Spanish Zebra character sorting file (3.98 KB, patch)
2013-06-11 14:04 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 10431 - Spanish Zebra character sorting file (4.07 KB, patch)
2013-06-18 20:51 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 10431 - Spanish Zebra character sorting file (4.07 KB, patch)
2013-06-18 23:38 UTC, Galen Charlton
Details | Diff | Splinter Review
Bug 10431 - Redundant mappings removed (1.10 KB, patch)
2013-06-24 17:49 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Signed off patch (4.13 KB, patch)
2013-06-25 08:08 UTC, Chris Cormack
Details | Diff | Splinter Review
Signed off patch (1.16 KB, patch)
2013-06-25 08:09 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 10431 - Spanish Zebra character sorting file (4.18 KB, patch)
2013-07-05 13:20 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10431 - Redundant mappings removed (1.22 KB, patch)
2013-07-05 13:21 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Pablo AB 2013-06-07 14:54:29 UTC Comment hidden (obsolete)
Comment 1 Tomás Cohen Arazi 2013-06-11 14:04:40 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2013-06-11 14:20:03 UTC
I thought of adding a followup for enabling 'ru' and 'uk' too, which already had their language definitions in place. I chose to fill a new bug for that, which depends on this one. Its bug 10447.

Regards
To+
Comment 3 Galen Charlton 2013-06-17 20:59:55 UTC
Marking failed QA - when I applied the patch with git-bz, the character map file was in the ISO-8859-1 character encoding; it needs to use UTF-8.
Comment 4 Tomás Cohen Arazi 2013-06-18 20:51:35 UTC Comment hidden (obsolete)
Comment 5 Galen Charlton 2013-06-18 23:38:13 UTC Comment hidden (obsolete)
Comment 6 Tomás Cohen Arazi 2013-06-24 17:49:59 UTC Comment hidden (obsolete)
Comment 7 Tomás Cohen Arazi 2013-06-24 17:54:09 UTC
There were some chars I overlooked that ended up being redundant mappings. zerbaidx warns about them when run in verbose mode from rebuild_zebra.pl.

Several chars were mapped into their "parent" ascii char, but also set an order in the lowercase and uppercase definitions.
Comment 8 Chris Cormack 2013-06-25 08:08:59 UTC Comment hidden (obsolete)
Comment 9 Chris Cormack 2013-06-25 08:09:26 UTC Comment hidden (obsolete)
Comment 10 Kyle M Hall 2013-07-05 13:20:32 UTC
Created attachment 19409 [details] [review]
Bug 10431 - Spanish Zebra character sorting file
Comment 11 Kyle M Hall 2013-07-05 13:21:03 UTC
Created attachment 19410 [details] [review]
Bug 10431 - Redundant mappings removed
Comment 12 Galen Charlton 2013-07-05 13:58:42 UTC
Pushed to master.  Thanks, Tomás!
Comment 13 Tomás Cohen Arazi 2013-07-07 00:14:35 UTC
This patch has been pushed to 3.12.x, will be in 3.12.2.

Thanks Pablo for reporting!